atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The ATK interface provided by UI components which the user can activate/interact with, this should be implemented by instances of classes with which the user can interact directly, i.e. buttons, checkboxes, scrollbars, e.g. components which are not "passive" providers of UI information.

The ATK interface provided by UI components which the user can activate/interact with, This should be implemented by instances of classes with which the user can interact directly, i.e. buttons, checkboxes, scrollbars, e.g. components which are not "passive" providers of UI information.

Exceptions: when the user interaction is already covered by another appropriate interface such as (insert/delete test, etc.) or (set value) then these actions should not be exposed by as well.

Also note that the API is limited in that parameters may not be passed to the object being activated; thus the action must be self-contained and specifiable via only a single "verb". Concrete examples include "press", "release", "click" for buttons, "drag" (meaning initiate drag) and "drop" for drag sources and drop targets, etc.

Though most UI interactions on components should be invocable via keyboard as well as mouse, there will generally be a close mapping between "mouse actions" that are possible on a component and the . Where mouse and keyboard actions are redundant in effect, should expose only one action rather than exposing redundant actions if possible. By convention we have been using "mouse centric" terminology for names.

- Method
  2.12.0.0
  System.Boolean `` The action index corresponding to the action to be performed. Perform the specified action on the object. if success, otherwise.
- Method
  2.12.0.0
  System.String `` The action index corresponding to the action to be performed. Returns a description of the specified action of the object. A description string, or 0 if action does not implement this interface.
- Method
  2.12.0.0
  System.String `` The action index corresponding to the action to be performed. Returns a keybinding associated with this action, if one exists. A string representing the keybinding, or an empty string if there is no keybinding for this action.
- Method
  2.12.0.0
  System.String `` The action index corresponding to the action to be performed. Returns the localized name of the specified action of the object. A name string, or an empty string if action does not implement this interface.
- Method
  2.12.0.0
  System.String `` The action index corresponding to the action to be performed. Returns the name of the specified action of the object. A name string, or an empty string if action does not implement this interface.
- Property
  2.12.0.0
  System.Int32 Gets the number of accessible actions available on the object. A the number of actions, or 0 if action does not implement this interface. Gets the number of accessible actions available on the object. If there are more than one, the first one is considered the "default" action of the object.
- Method
  2.12.0.0
  System.Boolean `` `` The action index corresponding to the action to be performed. The description to be assigned to this action. Sets a description of the specified action of the object. A representing if the description was successfully set.